Skip to main content
POST
/
users
/
{uid}
/
auth_tokens
Create
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/auth_tokens \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '{
  "force": true
}'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/auth_tokens"

payload = { "force": True }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: true})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/auth_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uid": "cometchat-uid-1",
    "authToken": "cometchat-uid-1_1630306819c3027ce530b2367f3c97b4106f0cb8",
    "createdAt": 1630306819
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

uid
string
required

An UID of a user.

Body

application/json
force
boolean

Generates new auth token forcefully.

Response

200 - application/json

Created auth token

The response is of type object.